Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000182Frama-CKernelpublic2009-07-13 07:222009-09-23 16:40
ReporterJonathan-Christofer Demay 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090601-beta1 
Target VersionFixed in VersionFrama-C Beryllium-20090901 
Summary0000182: The file `share/configure.ac' is missing
DescriptionI tried to modify configure.in and then run autoreconf, but a file is missing:

aclocal-1.11: configure.in:46: file `share/configure.ac' does not exist
autoreconf-2.63: aclocal failed with exit status: 1
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000264)
virgile (developer)
2009-07-16 17:30

share/config.ac was indeed missing from the list of files to distribute. This is already fixed in svn.
(0000267)
Jonathan-Christofer Demay (reporter)
2009-07-16 18:44

Can you post the missing file on the wiki ?
(0000270)
virgile (developer)
2009-07-17 09:44

done on the wiki page associated to this bug
(http://bts.frama-c.com/dokuwiki/doku.php?id=mantis%3AFrama-C%3Aissue%3A182 [^])
(0000283)
Jonathan-Christofer Demay (reporter)
2009-07-20 19:13

autoconf works now, thanks !

aclocal (which is executed by autoreconf before autoconf), however doesn't.

A file is missing:
aclocal: configure.in:707: file `config_file' does not exist
(0000381)
virgile (developer)
2009-09-08 18:07

aclocal does not bother trying to understand m4's semantics and completely ignores the context in which m4_include is called (in particular the definition of config_file as an m4 macro). I don't see a workaround besides not relying on autoreconf/aclocal.
(0000414)
Jonathan-Christofer Demay (reporter)
2009-09-22 13:55

well a blank 'config_file' file seems to do the job to successfully run autoreconf.
(0000416)
signoles (manager)
2009-09-23 16:40

The leading issue with aclocal won't be fixed.

- Issue History
Date Modified Username Field Change
2009-07-13 07:22 Jonathan-Christofer Demay New Issue
2009-07-16 17:30 virgile Note Added: 0000264
2009-07-16 17:30 virgile Status new => resolved
2009-07-16 17:30 virgile Fixed in Version => Frama-C svn, precise the release id
2009-07-16 17:30 virgile Resolution open => fixed
2009-07-16 17:30 virgile Assigned To => virgile
2009-07-16 18:44 Jonathan-Christofer Demay Note Added: 0000267
2009-07-16 18:44 Jonathan-Christofer Demay Status resolved => feedback
2009-07-16 18:44 Jonathan-Christofer Demay Resolution fixed => reopened
2009-07-17 09:44 virgile Note Added: 0000270
2009-07-20 19:13 Jonathan-Christofer Demay Note Added: 0000283
2009-09-08 18:07 virgile Note Added: 0000381
2009-09-22 13:55 Jonathan-Christofer Demay Note Added: 0000414
2009-09-23 16:40 signoles Note Added: 0000416
2009-09-23 16:40 signoles Status feedback => closed
2009-09-23 16:40 signoles Resolution reopened => fixed
2009-09-23 16:40 signoles Fixed in Version Frama-C svn, precise the release id => Frama-C Beryllium


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker